package com.guo.common.constant;

/**
 * @author gxb
 * @description  请求前缀 通用
 * @date 2024-04-20 15:11
 */
public class Constans {

    /**
     * http请求头部前缀
     */
    public final static String HTTP_REQUEST_HEAD = "http://";

    /**
     * 请求端口及路径
     */
    public final static String HTTP_REQUEST_ADDRESS = ":8080/public/cluster";

    /**
     * HTTP请求头的一个字段
     */
    public final static String HTTP_REQUEST_ADDHEADER_AGENT = "User-Agent";

    /**
     * 请求是从Apifox 1.0.0版本的客户端发起
     */
    public final static String HTTP_REQUEST_ADDHEADER_APIFOX = "Apifox/1.0.0 (https://apifox.com)";

    /**
     * HTTP请求头部字段，用于传递访问令牌
     */
    public final static String HTTP_REQUEST_ADDHEADER_ACCESSTOKEN = "Accesstoken";

    /**
     * 空字符串
     */
    public final static String HTTP_REQUEST_NULL_STRING = "";

    /**
     * 数值 0
     */
    public final static Integer NUMERICAL_VALUE_ZERO = 0;

    /**
     * 别名mqttInfo获取消息队列
     */
    public final static String HTTP_REQUEST_MQTTINFO = "mqttInfo";

    /**
     * 获取了 "mqttInfo" 对象中名为 "connectSize" 的整数值
     */
    public final static String HTTP_REQUEST_CONNECTSIZE = "connectSize";

    /**
     * 通用默认数值  0L  Long
     */
    public final static Long NUMERICAL_VALUE_LONG_ZERO = 0L;



}
